Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_query_register_factory

## Name

librdf_query_register_factory -- Register a query factory

## Synopsis

``void `librdf_query_register_factory`` (const char * `name`, librdf_uri * `uri`, void (*`factory`) (librdf_query_factory*));`

## Arguments

`name`

  the query language name

`uri`

  the query language URI (or NULL if none)

`factory`

  pointer to function to call to register the factory

<<< Previous | Home | Next >>>
librdf_finish_query | Up | librdf_get_query_factory